Bug 1422500 - directory /var/run/fail2ban/ is missing at startup
Summary: directory /var/run/fail2ban/ is missing at startup
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: fail2ban (Show other bugs)
(Show other bugs)
Version: epel7
Hardware: x86_64 Linux
unspecified
high
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-15 12:38 UTC by Aldo Necci
Modified: 2017-06-22 09:56 UTC (History)
6 users (show)

Fixed In Version: fail2ban-0.9.6-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-25 02:50:01 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Aldo Necci 2017-02-15 12:38:26 UTC
Description of problem:
After istallation of Fail2ban, the service doesn't start because:

fail2ban-client: ERROR  There is no directory /var/run/fail2ban to contain the socket file /var/run/fail2ban/fail2ban.sock.

It's necessary to create the required directory manually to go on.

Comment 1 Aldo Necci 2017-02-15 12:41:44 UTC
This issue is only for Fail2ban version 0.9.6 on EPEL7

Comment 2 Orion Poplawski 2017-02-15 17:29:39 UTC
Unfortunately the systemd version in EL7.3 does not automatically detect and create new tmpfiles.d entries.  Running 'systemd-tmpfiles --create' or rebooting will create the directory'.  I'll look into running that in the post install scripts.

Comment 3 Fedora Update System 2017-02-15 18:56:29 UTC
fail2ban-0.9.6-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-79373a2a0e

Comment 4 Fedora Update System 2017-02-16 17:19:04 UTC
fail2ban-0.9.6-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-79373a2a0e

Comment 5 Fedora Update System 2017-02-25 02:50:01 UTC
fail2ban-0.9.6-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 poil 2017-06-22 09:43:43 UTC
Hi,

I have fail2ban-0.9.6-3.el7 and I have this problem.

# rpm -qa fail2ban
fail2ban-0.9.6-3.el7.noarch

-- Subject: L'unité (unit) fail2ban.service a commencé à démarrer
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- L'unité (unit) fail2ban.service a commencé à démarrer.
juin 22 11:42:57 xxxxxx fail2ban-client[26924]: ERROR  There is no directory /var/run/fail2ban to contain the socket file /var/run/fail2ban/fail2ban.sock.
juin 22 11:42:57 xxxxxx systemd[1]: fail2ban.service: control process exited, code=exited status=255
juin 22 11:42:57 xxxxxx systemd[1]: Failed to start Fail2Ban Service.
-- Subject: L'unité (unit) fail2ban.service a échoué
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel


Best regards,

Comment 7 poil 2017-06-22 09:56:50 UTC
(In reply to poil from comment #6)
> Hi,
> 
> I have fail2ban-0.9.6-3.el7 and I have this problem.
> 
> # rpm -qa fail2ban
> fail2ban-0.9.6-3.el7.noarch
> 
> -- Subject: L'unité (unit) fail2ban.service a commencé à démarrer
> -- Defined-By: systemd
> -- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
> -- 
> -- L'unité (unit) fail2ban.service a commencé à démarrer.
> juin 22 11:42:57 xxxxxx fail2ban-client[26924]: ERROR  There is no directory
> /var/run/fail2ban to contain the socket file /var/run/fail2ban/fail2ban.sock.
> juin 22 11:42:57 xxxxxx systemd[1]: fail2ban.service: control process
> exited, code=exited status=255
> juin 22 11:42:57 xxxxxx systemd[1]: Failed to start Fail2Ban Service.
> -- Subject: L'unité (unit) fail2ban.service a échoué
> -- Defined-By: systemd
> -- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
> 
> 
> Best regards,

Errata: Not the package, I have the problem on only this server, I'm looking why ...


Note You need to log in before you can comment on or make changes to this bug.